/*
 * generated by Xtext
 */
package fr.irisa.cairn.ui.contentassist.antlr;

import java.util.Collection;
import java.util.Map;
import java.util.HashMap;

import org.antlr.runtime.RecognitionException;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;

import com.google.inject.Inject;

import fr.irisa.cairn.services.JniMapGrammarAccess;

public class JniMapParser extends AbstractContentAssistParser {
	
	@Inject
	private JniMapGrammarAccess grammarAccess;
	
	private Map<AbstractElement, String> nameMappings;
	
	@Override
	protected fr.irisa.cairn.ui.contentassist.antlr.internal.InternalJniMapParser createParser() {
		fr.irisa.cairn.ui.contentassist.antlr.internal.InternalJniMapParser result = new fr.irisa.cairn.ui.contentassist.antlr.internal.InternalJniMapParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}
	
	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getMappingAccess().getAlternatives_9(), "rule__Mapping__Alternatives_9");
					put(grammarAccess.getClassMappingAccess().getAlternatives(), "rule__ClassMapping__Alternatives");
					put(grammarAccess.getCMethodAccess().getAlternatives_0(), "rule__CMethod__Alternatives_0");
					put(grammarAccess.getTypeDeclarationAccess().getAlternatives(), "rule__TypeDeclaration__Alternatives");
					put(grammarAccess.getEnumValueAccess().getAlternatives_1_1(), "rule__EnumValue__Alternatives_1_1");
					put(grammarAccess.getParamDefAccess().getAlternatives_0(), "rule__ParamDef__Alternatives_0");
					put(grammarAccess.getMethodAccess().getAlternatives_0_1_0(), "rule__Method__Alternatives_0_1_0");
					put(grammarAccess.getMethodAccess().getAlternatives_0_1_2(), "rule__Method__Alternatives_0_1_2");
					put(grammarAccess.getMethodAccess().getAlternatives_1(), "rule__Method__Alternatives_1");
					put(grammarAccess.getTypeAccess().getAlternatives(), "rule__Type__Alternatives");
					put(grammarAccess.getBuiltInTypeAccess().getAlternatives(), "rule__BuiltInType__Alternatives");
					put(grammarAccess.getIntegerTypeAccess().getNameAlternatives_0(), "rule__IntegerType__NameAlternatives_0");
					put(grammarAccess.getRealTypeAccess().getNameAlternatives_0(), "rule__RealType__NameAlternatives_0");
					put(grammarAccess.getNestedTypeAccess().getAlternatives(), "rule__NestedType__Alternatives");
					put(grammarAccess.getComplexTypeAccess().getAlternatives(), "rule__ComplexType__Alternatives");
					put(grammarAccess.getBaseTypeAccess().getAlternatives(), "rule__BaseType__Alternatives");
					put(grammarAccess.getHostTypeAccess().getAlternatives(), "rule__HostType__Alternatives");
					put(grammarAccess.getMappingAccess().getGroup(), "rule__Mapping__Group__0");
					put(grammarAccess.getMappingAccess().getGroup_3(), "rule__Mapping__Group_3__0");
					put(grammarAccess.getMappingAccess().getGroup_4(), "rule__Mapping__Group_4__0");
					put(grammarAccess.getMappingAccess().getGroup_4_2(), "rule__Mapping__Group_4_2__0");
					put(grammarAccess.getImportAccess().getGroup(), "rule__Import__Group__0");
					put(grammarAccess.getGenericsDeclarationAccess().getGroup(), "rule__GenericsDeclaration__Group__0");
					put(grammarAccess.getGenericsDeclarationAccess().getGroup_2(), "rule__GenericsDeclaration__Group_2__0");
					put(grammarAccess.getGenericsInstantiationAccess().getGroup(), "rule__GenericsInstantiation__Group__0");
					put(grammarAccess.getGenericsInstantiationAccess().getGroup_2(), "rule__GenericsInstantiation__Group_2__0");
					put(grammarAccess.getInterfaceImplementationAccess().getGroup(), "rule__InterfaceImplementation__Group__0");
					put(grammarAccess.getEnumToClassMappingAccess().getGroup(), "rule__EnumToClassMapping__Group__0");
					put(grammarAccess.getStructToClassMappingAccess().getGroup(), "rule__StructToClassMapping__Group__0");
					put(grammarAccess.getStructToClassMappingAccess().getGroup_3(), "rule__StructToClassMapping__Group_3__0");
					put(grammarAccess.getClassToClassMappingAccess().getGroup(), "rule__ClassToClassMapping__Group__0");
					put(grammarAccess.getClassToClassMappingAccess().getGroup_3(), "rule__ClassToClassMapping__Group_3__0");
					put(grammarAccess.getAliasToClassMappingAccess().getGroup(), "rule__AliasToClassMapping__Group__0");
					put(grammarAccess.getAliasToClassMappingAccess().getGroup_4(), "rule__AliasToClassMapping__Group_4__0");
					put(grammarAccess.getAliasToClassMappingAccess().getGroup_5(), "rule__AliasToClassMapping__Group_5__0");
					put(grammarAccess.getAliasToClassMappingAccess().getGroup_5_2(), "rule__AliasToClassMapping__Group_5_2__0");
					put(grammarAccess.getUnmappedClassAccess().getGroup(), "rule__UnmappedClass__Group__0");
					put(grammarAccess.getUnmappedClassAccess().getGroup_4(), "rule__UnmappedClass__Group_4__0");
					put(grammarAccess.getUnmappedClassAccess().getGroup_5(), "rule__UnmappedClass__Group_5__0");
					put(grammarAccess.getUnmappedClassAccess().getGroup_5_2(), "rule__UnmappedClass__Group_5_2__0");
					put(grammarAccess.getInterfaceClassAccess().getGroup(), "rule__InterfaceClass__Group__0");
					put(grammarAccess.getInterfaceClassAccess().getGroup_3(), "rule__InterfaceClass__Group_3__0");
					put(grammarAccess.getInterfaceClassAccess().getGroup_3_2(), "rule__InterfaceClass__Group_3_2__0");
					put(grammarAccess.getExternalLibraryAccess().getGroup(), "rule__ExternalLibrary__Group__0");
					put(grammarAccess.getLibraryAccess().getGroup(), "rule__Library__Group__0");
					put(grammarAccess.getLibraryAccess().getGroup_6(), "rule__Library__Group_6__0");
					put(grammarAccess.getLibraryFileNameAccess().getGroup(), "rule__LibraryFileName__Group__0");
					put(grammarAccess.getIncludeDefAccess().getGroup(), "rule__IncludeDef__Group__0");
					put(grammarAccess.getUserModuleAccess().getGroup(), "rule__UserModule__Group__0");
					put(grammarAccess.getCMethodAccess().getGroup(), "rule__CMethod__Group__0");
					put(grammarAccess.getCMethodAccess().getGroup_4(), "rule__CMethod__Group_4__0");
					put(grammarAccess.getCMethodAccess().getGroup_4_1(), "rule__CMethod__Group_4_1__0");
					put(grammarAccess.getTypeAliasDeclarationAccess().getGroup(), "rule__TypeAliasDeclaration__Group__0");
					put(grammarAccess.getStructDeclarationAccess().getGroup(), "rule__StructDeclaration__Group__0");
					put(grammarAccess.getStructDeclarationAccess().getGroup_2(), "rule__StructDeclaration__Group_2__0");
					put(grammarAccess.getStructDeclarationAccess().getGroup_2_1(), "rule__StructDeclaration__Group_2_1__0");
					put(grammarAccess.getClassDeclarationAccess().getGroup(), "rule__ClassDeclaration__Group__0");
					put(grammarAccess.getClassDeclarationAccess().getGroup_2(), "rule__ClassDeclaration__Group_2__0");
					put(grammarAccess.getClassDeclarationAccess().getGroup_2_1(), "rule__ClassDeclaration__Group_2_1__0");
					put(grammarAccess.getEnumDeclarationAccess().getGroup(), "rule__EnumDeclaration__Group__0");
					put(grammarAccess.getEnumDeclarationAccess().getGroup_2(), "rule__EnumDeclaration__Group_2__0");
					put(grammarAccess.getEnumDeclarationAccess().getGroup_2_2(), "rule__EnumDeclaration__Group_2_2__0");
					put(grammarAccess.getEnumTypeAccess().getGroup(), "rule__EnumType__Group__0");
					put(grammarAccess.getEnumValueAccess().getGroup(), "rule__EnumValue__Group__0");
					put(grammarAccess.getEnumValueAccess().getGroup_1(), "rule__EnumValue__Group_1__0");
					put(grammarAccess.getParamDefAccess().getGroup(), "rule__ParamDef__Group__0");
					put(grammarAccess.getMethodGroupAccess().getGroup(), "rule__MethodGroup__Group__0");
					put(grammarAccess.getMethodAccess().getGroup(), "rule__Method__Group__0");
					put(grammarAccess.getMethodAccess().getGroup_0(), "rule__Method__Group_0__0");
					put(grammarAccess.getMethodAccess().getGroup_0_1_3(), "rule__Method__Group_0_1_3__0");
					put(grammarAccess.getMethodAccess().getGroup_0_1_5(), "rule__Method__Group_0_1_5__0");
					put(grammarAccess.getMethodAccess().getGroup_5(), "rule__Method__Group_5__0");
					put(grammarAccess.getMethodAccess().getGroup_5_1(), "rule__Method__Group_5_1__0");
					put(grammarAccess.getArrayTypeAccess().getGroup(), "rule__ArrayType__Group__0");
					put(grammarAccess.getPtrTypeAccess().getGroup(), "rule__PtrType__Group__0");
					put(grammarAccess.getModifiableTypeAccess().getGroup(), "rule__ModifiableType__Group__0");
					put(grammarAccess.getStructTypeAccess().getGroup(), "rule__StructType__Group__0");
					put(grammarAccess.getFieldDefAccess().getGroup(), "rule__FieldDef__Group__0");
					put(grammarAccess.getFieldDefAccess().getGroup_3(), "rule__FieldDef__Group_3__0");
					put(grammarAccess.getConstTypeAccess().getGroup(), "rule__ConstType__Group__0");
					put(grammarAccess.getMappingAccess().getImportsAssignment_0(), "rule__Mapping__ImportsAssignment_0");
					put(grammarAccess.getMappingAccess().getNameAssignment_2(), "rule__Mapping__NameAssignment_2");
					put(grammarAccess.getMappingAccess().getPackageAssignment_3_3(), "rule__Mapping__PackageAssignment_3_3");
					put(grammarAccess.getMappingAccess().getHostsAssignment_4_1(), "rule__Mapping__HostsAssignment_4_1");
					put(grammarAccess.getMappingAccess().getHostsAssignment_4_2_1(), "rule__Mapping__HostsAssignment_4_2_1");
					put(grammarAccess.getMappingAccess().getExternalLibrariesAssignment_6(), "rule__Mapping__ExternalLibrariesAssignment_6");
					put(grammarAccess.getMappingAccess().getLibrariesAssignment_7(), "rule__Mapping__LibrariesAssignment_7");
					put(grammarAccess.getMappingAccess().getUserModulesAssignment_8(), "rule__Mapping__UserModulesAssignment_8");
					put(grammarAccess.getMappingAccess().getClassMappingAssignment_9_0(), "rule__Mapping__ClassMappingAssignment_9_0");
					put(grammarAccess.getMappingAccess().getIncludesAssignment_9_1(), "rule__Mapping__IncludesAssignment_9_1");
					put(grammarAccess.getMappingAccess().getMethodGroupsAssignment_10(), "rule__Mapping__MethodGroupsAssignment_10");
					put(grammarAccess.getImportAccess().getImportURIAssignment_1(), "rule__Import__ImportURIAssignment_1");
					put(grammarAccess.getGenericsDeclarationAccess().getNamesAssignment_1(), "rule__GenericsDeclaration__NamesAssignment_1");
					put(grammarAccess.getGenericsDeclarationAccess().getNamesAssignment_2_1(), "rule__GenericsDeclaration__NamesAssignment_2_1");
					put(grammarAccess.getGenericsInstantiationAccess().getInstanceNamesAssignment_1(), "rule__GenericsInstantiation__InstanceNamesAssignment_1");
					put(grammarAccess.getGenericsInstantiationAccess().getInstanceNamesAssignment_2_1(), "rule__GenericsInstantiation__InstanceNamesAssignment_2_1");
					put(grammarAccess.getInterfaceImplementationAccess().getInterfaceAssignment_0(), "rule__InterfaceImplementation__InterfaceAssignment_0");
					put(grammarAccess.getInterfaceImplementationAccess().getGenericsInstantiationAssignment_1(), "rule__InterfaceImplementation__GenericsInstantiationAssignment_1");
					put(grammarAccess.getEnumToClassMappingAccess().getEnum_Assignment_0(), "rule__EnumToClassMapping__Enum_Assignment_0");
					put(grammarAccess.getEnumToClassMappingAccess().getNameAssignment_2(), "rule__EnumToClassMapping__NameAssignment_2");
					put(grammarAccess.getStructToClassMappingAccess().getStructAssignment_0(), "rule__StructToClassMapping__StructAssignment_0");
					put(grammarAccess.getStructToClassMappingAccess().getNameAssignment_2(), "rule__StructToClassMapping__NameAssignment_2");
					put(grammarAccess.getStructToClassMappingAccess().getSuperAssignment_3_1(), "rule__StructToClassMapping__SuperAssignment_3_1");
					put(grammarAccess.getClassToClassMappingAccess().getClassAssignment_0(), "rule__ClassToClassMapping__ClassAssignment_0");
					put(grammarAccess.getClassToClassMappingAccess().getNameAssignment_2(), "rule__ClassToClassMapping__NameAssignment_2");
					put(grammarAccess.getClassToClassMappingAccess().getSuperAssignment_3_1(), "rule__ClassToClassMapping__SuperAssignment_3_1");
					put(grammarAccess.getAliasToClassMappingAccess().getAliasAssignment_0(), "rule__AliasToClassMapping__AliasAssignment_0");
					put(grammarAccess.getAliasToClassMappingAccess().getNameAssignment_2(), "rule__AliasToClassMapping__NameAssignment_2");
					put(grammarAccess.getAliasToClassMappingAccess().getGenericsDeclAssignment_3(), "rule__AliasToClassMapping__GenericsDeclAssignment_3");
					put(grammarAccess.getAliasToClassMappingAccess().getSuperAssignment_4_1(), "rule__AliasToClassMapping__SuperAssignment_4_1");
					put(grammarAccess.getAliasToClassMappingAccess().getGenericsInstantiationAssignment_4_2(), "rule__AliasToClassMapping__GenericsInstantiationAssignment_4_2");
					put(grammarAccess.getAliasToClassMappingAccess().getInterfacesAssignment_5_1(), "rule__AliasToClassMapping__InterfacesAssignment_5_1");
					put(grammarAccess.getAliasToClassMappingAccess().getInterfacesAssignment_5_2_1(), "rule__AliasToClassMapping__InterfacesAssignment_5_2_1");
					put(grammarAccess.getUnmappedClassAccess().getAbstractAssignment_1(), "rule__UnmappedClass__AbstractAssignment_1");
					put(grammarAccess.getUnmappedClassAccess().getNameAssignment_2(), "rule__UnmappedClass__NameAssignment_2");
					put(grammarAccess.getUnmappedClassAccess().getGenericsDeclAssignment_3(), "rule__UnmappedClass__GenericsDeclAssignment_3");
					put(grammarAccess.getUnmappedClassAccess().getSuperAssignment_4_1(), "rule__UnmappedClass__SuperAssignment_4_1");
					put(grammarAccess.getUnmappedClassAccess().getGenericsInstantiationAssignment_4_2(), "rule__UnmappedClass__GenericsInstantiationAssignment_4_2");
					put(grammarAccess.getUnmappedClassAccess().getInterfacesAssignment_5_1(), "rule__UnmappedClass__InterfacesAssignment_5_1");
					put(grammarAccess.getUnmappedClassAccess().getInterfacesAssignment_5_2_1(), "rule__UnmappedClass__InterfacesAssignment_5_2_1");
					put(grammarAccess.getInterfaceClassAccess().getNameAssignment_1(), "rule__InterfaceClass__NameAssignment_1");
					put(grammarAccess.getInterfaceClassAccess().getGenericsDeclAssignment_2(), "rule__InterfaceClass__GenericsDeclAssignment_2");
					put(grammarAccess.getInterfaceClassAccess().getInterfacesAssignment_3_1(), "rule__InterfaceClass__InterfacesAssignment_3_1");
					put(grammarAccess.getInterfaceClassAccess().getInterfacesAssignment_3_2_1(), "rule__InterfaceClass__InterfacesAssignment_3_2_1");
					put(grammarAccess.getExternalLibraryAccess().getLibraryAssignment_1(), "rule__ExternalLibrary__LibraryAssignment_1");
					put(grammarAccess.getExternalLibraryAccess().getMappingAssignment_3(), "rule__ExternalLibrary__MappingAssignment_3");
					put(grammarAccess.getLibraryAccess().getNameAssignment_4(), "rule__Library__NameAssignment_4");
					put(grammarAccess.getLibraryAccess().getFilenamesAssignment_6_0(), "rule__Library__FilenamesAssignment_6_0");
					put(grammarAccess.getLibraryFileNameAccess().getOsAssignment_0(), "rule__LibraryFileName__OsAssignment_0");
					put(grammarAccess.getLibraryFileNameAccess().getFilenameAssignment_2(), "rule__LibraryFileName__FilenameAssignment_2");
					put(grammarAccess.getIncludeDefAccess().getIncludeAssignment_1(), "rule__IncludeDef__IncludeAssignment_1");
					put(grammarAccess.getUserModuleAccess().getNameAssignment_1(), "rule__UserModule__NameAssignment_1");
					put(grammarAccess.getUserModuleAccess().getMethodsAssignment_3(), "rule__UserModule__MethodsAssignment_3");
					put(grammarAccess.getCMethodAccess().getResAssignment_1(), "rule__CMethod__ResAssignment_1");
					put(grammarAccess.getCMethodAccess().getNameAssignment_2(), "rule__CMethod__NameAssignment_2");
					put(grammarAccess.getCMethodAccess().getParamsAssignment_4_0(), "rule__CMethod__ParamsAssignment_4_0");
					put(grammarAccess.getCMethodAccess().getParamsAssignment_4_1_1(), "rule__CMethod__ParamsAssignment_4_1_1");
					put(grammarAccess.getTypeAliasDeclarationAccess().getTypeAssignment_1(), "rule__TypeAliasDeclaration__TypeAssignment_1");
					put(grammarAccess.getTypeAliasDeclarationAccess().getNameAssignment_2(), "rule__TypeAliasDeclaration__NameAssignment_2");
					put(grammarAccess.getStructDeclarationAccess().getNameAssignment_1(), "rule__StructDeclaration__NameAssignment_1");
					put(grammarAccess.getStructDeclarationAccess().getFieldsAssignment_2_1_0(), "rule__StructDeclaration__FieldsAssignment_2_1_0");
					put(grammarAccess.getClassDeclarationAccess().getNameAssignment_1(), "rule__ClassDeclaration__NameAssignment_1");
					put(grammarAccess.getClassDeclarationAccess().getFieldsAssignment_2_1_0(), "rule__ClassDeclaration__FieldsAssignment_2_1_0");
					put(grammarAccess.getEnumDeclarationAccess().getNameAssignment_1(), "rule__EnumDeclaration__NameAssignment_1");
					put(grammarAccess.getEnumDeclarationAccess().getValuesAssignment_2_1(), "rule__EnumDeclaration__ValuesAssignment_2_1");
					put(grammarAccess.getEnumDeclarationAccess().getValuesAssignment_2_2_1(), "rule__EnumDeclaration__ValuesAssignment_2_2_1");
					put(grammarAccess.getEnumTypeAccess().getNameAssignment_1(), "rule__EnumType__NameAssignment_1");
					put(grammarAccess.getEnumValueAccess().getNameAssignment_0(), "rule__EnumValue__NameAssignment_0");
					put(grammarAccess.getEnumValueAccess().getValueAssignment_1_1_0(), "rule__EnumValue__ValueAssignment_1_1_0");
					put(grammarAccess.getEnumValueAccess().getEnumNextAssignment_1_1_1(), "rule__EnumValue__EnumNextAssignment_1_1_1");
					put(grammarAccess.getParamDefAccess().getGiveAssignment_0_0(), "rule__ParamDef__GiveAssignment_0_0");
					put(grammarAccess.getParamDefAccess().getTakeAssignment_0_1(), "rule__ParamDef__TakeAssignment_0_1");
					put(grammarAccess.getParamDefAccess().getKeepAssignment_0_2(), "rule__ParamDef__KeepAssignment_0_2");
					put(grammarAccess.getParamDefAccess().getTypeAssignment_1(), "rule__ParamDef__TypeAssignment_1");
					put(grammarAccess.getParamDefAccess().getNameAssignment_2(), "rule__ParamDef__NameAssignment_2");
					put(grammarAccess.getMethodGroupAccess().getClassAssignment_1(), "rule__MethodGroup__ClassAssignment_1");
					put(grammarAccess.getMethodGroupAccess().getMethodsAssignment_3(), "rule__MethodGroup__MethodsAssignment_3");
					put(grammarAccess.getMethodAccess().getConstructorAssignment_0_1_0_0(), "rule__Method__ConstructorAssignment_0_1_0_0");
					put(grammarAccess.getMethodAccess().getDestructorAssignment_0_1_0_1(), "rule__Method__DestructorAssignment_0_1_0_1");
					put(grammarAccess.getMethodAccess().getInstanceofAssignment_0_1_0_2(), "rule__Method__InstanceofAssignment_0_1_0_2");
					put(grammarAccess.getMethodAccess().getStaticAssignment_0_1_1(), "rule__Method__StaticAssignment_0_1_1");
					put(grammarAccess.getMethodAccess().getPrivateAssignment_0_1_2_0(), "rule__Method__PrivateAssignment_0_1_2_0");
					put(grammarAccess.getMethodAccess().getProtectedAssignment_0_1_2_1(), "rule__Method__ProtectedAssignment_0_1_2_1");
					put(grammarAccess.getMethodAccess().getRenamedAssignment_0_1_3_0(), "rule__Method__RenamedAssignment_0_1_3_0");
					put(grammarAccess.getMethodAccess().getNewnameAssignment_0_1_3_2(), "rule__Method__NewnameAssignment_0_1_3_2");
					put(grammarAccess.getMethodAccess().getStubAssignment_0_1_4(), "rule__Method__StubAssignment_0_1_4");
					put(grammarAccess.getMethodAccess().getArgAssignment_0_1_5_2(), "rule__Method__ArgAssignment_0_1_5_2");
					put(grammarAccess.getMethodAccess().getResAssignment_2(), "rule__Method__ResAssignment_2");
					put(grammarAccess.getMethodAccess().getNameAssignment_3(), "rule__Method__NameAssignment_3");
					put(grammarAccess.getMethodAccess().getParamsAssignment_5_0(), "rule__Method__ParamsAssignment_5_0");
					put(grammarAccess.getMethodAccess().getParamsAssignment_5_1_1(), "rule__Method__ParamsAssignment_5_1_1");
					put(grammarAccess.getBooleanTypeAccess().getNameAssignment(), "rule__BooleanType__NameAssignment");
					put(grammarAccess.getIntegerTypeAccess().getNameAssignment(), "rule__IntegerType__NameAssignment");
					put(grammarAccess.getRealTypeAccess().getNameAssignment(), "rule__RealType__NameAssignment");
					put(grammarAccess.getStringTypeAccess().getNameAssignment(), "rule__StringType__NameAssignment");
					put(grammarAccess.getVoidTypeAccess().getNameAssignment(), "rule__VoidType__NameAssignment");
					put(grammarAccess.getTypeAliasAccess().getAliasAssignment(), "rule__TypeAlias__AliasAssignment");
					put(grammarAccess.getArrayTypeAccess().getBaseAssignment_0(), "rule__ArrayType__BaseAssignment_0");
					put(grammarAccess.getPtrTypeAccess().getBaseAssignment_0(), "rule__PtrType__BaseAssignment_0");
					put(grammarAccess.getPtrTypeAccess().getIndirAssignment_1(), "rule__PtrType__IndirAssignment_1");
					put(grammarAccess.getPtrTypeAccess().getIgnoredAssignment_2(), "rule__PtrType__IgnoredAssignment_2");
					put(grammarAccess.getModifiableTypeAccess().getBaseAssignment_0(), "rule__ModifiableType__BaseAssignment_0");
					put(grammarAccess.getModifiableTypeAccess().getIndirAssignment_1(), "rule__ModifiableType__IndirAssignment_1");
					put(grammarAccess.getStructTypeAccess().getNameAssignment_1(), "rule__StructType__NameAssignment_1");
					put(grammarAccess.getFieldDefAccess().getCopyAssignment_0(), "rule__FieldDef__CopyAssignment_0");
					put(grammarAccess.getFieldDefAccess().getTypeAssignment_1(), "rule__FieldDef__TypeAssignment_1");
					put(grammarAccess.getFieldDefAccess().getNameAssignment_2(), "rule__FieldDef__NameAssignment_2");
					put(grammarAccess.getFieldDefAccess().getManyAssignment_3_1(), "rule__FieldDef__ManyAssignment_3_1");
					put(grammarAccess.getConstTypeAccess().getBaseAssignment_1(), "rule__ConstType__BaseAssignment_1");
					put(grammarAccess.getMethodAccess().getUnorderedGroup_0_1(), "rule__Method__UnorderedGroup_0_1");
				}
			};
		}
		return nameMappings.get(element);
	}
	
	@Override
	protected Collection<FollowElement> getFollowElements(AbstractInternalContentAssistParser parser) {
		try {
			fr.irisa.cairn.ui.contentassist.antlr.internal.InternalJniMapParser typedParser = (fr.irisa.cairn.ui.contentassist.antlr.internal.InternalJniMapParser) parser;
			typedParser.entryRuleMapping();
			return typedParser.getFollowElements();
		} catch(RecognitionException ex) {
			throw new RuntimeException(ex);
		}		
	}
	
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}
	
	public JniMapGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(JniMapGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
